Skip to main content
PUT
/
v1
/
tax
/
payee
/
{id}
Update Tax Payee
curl --request PUT \
  --url https://api.cadanapay.com/v1/tax/payee/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "line1": "123 Main Street",
    "line2": "Apt 4",
    "city": "Mexico City",
    "postalCode": "01000",
    "state": "DUR",
    "countryCode": "MX"
  },
  "salary": {
    "amount": 1200000,
    "currency": "MXN"
  },
  "taxProfile": {
    "maritalStatus": "married",
    "numberOfDependents": 3,
    "riskCategory": "II"
  }
}
'
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
address
object
required
salary
object
required
firstName
string
lastName
string
taxProfile
object

Response

TaxPayee successfully updated (no content)